## org.eclipse.datatools.sqltools.sqlbuilder.input
Class SQLBuilderWindowStateInput

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.input.SQLBuilderWindowStateInput

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable

    public class SQLBuilderWindowStateInput

extends java.lang.Object
implements org.eclipse.core.runtime.IAdaptable

The class defines the SQL Query Builder's window state input, which must contain an IWindowStateInfo instance.

Constructor Summary
`SQLBuilderWindowStateInput(IWindowStateInfo windowStateInfo)`

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)`
`IWindowStateInfo` `getWindowStateInfo()` Returns the window state information.
`void` `setWindowStateInfo(IWindowStateInfo windowStateInfo)` Sets the window state information.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLBuilderWindowStateInput

    public SQLBuilderWindowStateInput(IWindowStateInfo windowStateInfo)

Method Detail

### getWindowStateInfo

    public IWindowStateInfo getWindowStateInfo()

  Returns the window state information.

  Returns:
    an IWindowStateInfo instance

### setWindowStateInfo

    public void setWindowStateInfo(IWindowStateInfo windowStateInfo)

  Sets the window state information.

  Parameters:
    `windowStateInfo` - an IWindowStateInfo instance; cannot be null.
  Throws:
    `java.lang.NullPointerException` - if a null IWindowStateInfo is specified

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`